### Function

# Gcr trust_is_certificate_distrusted_async

#### Declaration [src]

    void
    gcr_trust_is_certificate_distrusted_async (
      unsigned char* serial_nr,
      size_t serial_nr_len,
      unsigned char* issuer,
      size_t issuer_len,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      void* user_data
    )

#### Description [src]

Asynchronously checks whether the certificate that can be uniquely identified with the given `serial_nr` and `issuer` is marked as distrusted (for example by the user, or because it’s part of a CRL).

Since we can’t directly use `GcrCertificate` to fetch these values, you need to call these with the raw serial number and issuer as provided by the PKCS#11 fields `CKA_SERIAL_NR` and `CKA_ISSUER`.

When the operation is finished, `callback` will be called. You can then call `gcr_trust_is_certificate_distrusted_finish()` to get the result of the operation.

#### Parameters

`serial_nr`

  Type: An array of `unsigned char`

  The serial number of the certificate.

  The length of the array is specified in the `serial_nr_len` argument.
  The data is owned by the caller of the function.

`serial_nr_len`

  Type: `size_t`

  The nr of bytes in `serial_nr`.

`issuer`

  Type: An array of `unsigned char`

  The raw issuer.

  The length of the array is specified in the `issuer_len` argument.
  The data is owned by the caller of the function.

`issuer_len`

  Type: `size_t`

  The number of bytes in `issuer`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `void*`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.